## org.eclipse.emf.compare.diff.service
Class DiffEngineDescriptor

    java.lang.Object
      org.eclipse.emf.compare.diff.service.DiffEngineDescriptor

All Implemented Interfaces:
  java.lang.Comparable<DiffEngineDescriptor>

    public class DiffEngineDescriptor

extends java.lang.Object
implements java.lang.Comparable<DiffEngineDescriptor>

The engine descriptor represents an engine contribution trough the extension point.

Field Summary
`protected java.lang.String` `contentType` Content type this engine takes into account.
`protected org.eclipse.core.runtime.IConfigurationElement` `element` Configuration element of this descriptor.
`protected java.lang.String` `engineClassName` Class name of this engine.
`protected java.lang.String` `fileExtension` File extensions this engine takes into account.
`protected java.lang.String` `icon` Icon of this engine.
`protected java.lang.String` `label` Label of this engine.
`protected java.lang.String` `namespace` Namespace this engine takes into account.
`protected java.lang.String` `namespacePattern` Namespace pattern this engine takes into account.
`protected java.lang.String` `priority` Priority of this descriptor.

Constructor Summary
`DiffEngineDescriptor(org.eclipse.core.runtime.IConfigurationElement configuration)` Instantiate the descriptor given its configuration.

Method Summary
`int` `compareTo(DiffEngineDescriptor other)`
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getContentType()` Returns the content type this engine should handle.
`org.eclipse.core.runtime.IConfigurationElement` `getElement()` Returns the configuration element.
`java.lang.String` `getEngineClassName()` Returns the qualified name of the engine's class.
`IDiffEngine` `getEngineInstance()` Returns the engine instance.
`java.lang.String` `getFileExtension()` Returns the file extension this engine should handle.
`java.lang.String` `getIcon()` Returns the icon that represents the wrapped engine.
`java.lang.String` `getLabel()` Returns the label that represents the wrapped engine.
`java.lang.String` `getNamespace()` Returns the namespace this engine should handle.
`java.lang.String` `getNamespacePattern()` Returns the namespace pattern this engine should handle.
`java.lang.String` `getPriority()` Returns the engine priority.
`int` `getPriorityValue()` Returns the value of the priority of this engine.
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentType

    protected final java.lang.String contentType

  Content type this engine takes into account.

  Since:
    1.1

### element

    protected final org.eclipse.core.runtime.IConfigurationElement element

  Configuration element of this descriptor.

### engineClassName

    protected final java.lang.String engineClassName

  Class name of this engine.

### fileExtension

    protected final java.lang.String fileExtension

  File extensions this engine takes into account.

### icon

    protected final java.lang.String icon

  Icon of this engine.

### label

    protected final java.lang.String label

  Label of this engine.

### namespace

    protected final java.lang.String namespace

  Namespace this engine takes into account.

  Since:
    1.1

### namespacePattern

    protected final java.lang.String namespacePattern

  Namespace pattern this engine takes into account.

  Since:
    1.1

### priority

    protected final java.lang.String priority

  Priority of this descriptor. Should be one of
  - `EngineConstants.PRIORITY_HIGHEST`
  - `EngineConstants.PRIORITY_HIGH`
  - `EngineConstants.PRIORITY_NORMAL`
  - `EngineConstants.PRIORITY_LOW`
  - `EngineConstants.PRIORITY_LOWEST`

Constructor Detail

### DiffEngineDescriptor

    public DiffEngineDescriptor(org.eclipse.core.runtime.IConfigurationElement configuration)

  Instantiate the descriptor given its configuration.

  Parameters:
    `configuration` - `configuration element` of this descriptor.

Method Detail

### compareTo

    public int compareTo(DiffEngineDescriptor other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<DiffEngineDescriptor>`
  See Also:
    `Comparable.compareTo(java.lang.Object)`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### getContentType

    public java.lang.String getContentType()

  Returns the content type this engine should handle.

  Returns:
    The content type this engine should handle.
  Since:
    1.1

### getElement

    public org.eclipse.core.runtime.IConfigurationElement getElement()

  Returns the configuration element.

  Returns:
    The configuration element.
  Since:
    1.0

### getEngineClassName

    public java.lang.String getEngineClassName()

  Returns the qualified name of the engine's class.

  Returns:
    Qualified name of the engine's class.
  Since:
    1.0

### getEngineInstance

    public IDiffEngine getEngineInstance()

  Returns the engine instance.

  Returns:
    The engine instance.

### getFileExtension

    public java.lang.String getFileExtension()

  Returns the file extension this engine should handle.

  Returns:
    The file extension this engine should handle.

### getIcon

    public java.lang.String getIcon()

  Returns the icon that represents the wrapped engine.

  Returns:
    The icon that represents the wrapped engine.
  Since:
    1.0

### getLabel

    public java.lang.String getLabel()

  Returns the label that represents the wrapped engine.

  Returns:
    The label that represents the wrapped engine.
  Since:
    1.0

### getNamespace

    public java.lang.String getNamespace()

  Returns the namespace this engine should handle.

  Returns:
    The namespace this engine should handle.
  Since:
    1.1

### getNamespacePattern

    public java.lang.String getNamespacePattern()

  Returns the namespace pattern this engine should handle.

  Returns:
    The namespace pattern this engine should handle.
  Since:
    1.1

### getPriority

    public java.lang.String getPriority()

  Returns the engine priority.

  Returns:
    The engine priority.

### getPriorityValue

    public int getPriorityValue()

  Returns the value of the priority of this engine.
  Returned values according to `priority` :
  - "lowest" =>
  - "low" =>
  - "high" =>
  - "highest" =>
  - anything else =>

  Returns:
    `int` corresponding to this engine priority.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.